﻿<%@ control language="VB" autoeventwireup="false" inherits="UserControls_Back_AdminTriggers, KartrisCompiled" %>
<div id="section_triggers">
    <asp:UpdatePanel ID="updTriggers" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="floatright">
                <asp:LinkButton ID="lnkBtnDisableTriggers" runat="server" Text='<%$ Resources: _Kartris, ContentText_DeactivateAll %>'
                    CssClass="linkbutton icon_delete" />
                <asp:LinkButton ID="lnkBtnEnableTriggers" runat="server" Text='<%$ Resources: _Kartris, ContentText_ActivateAll %>'
                    CssClass="linkbutton icon_edit " /></div>
            <h2>
                <asp:Literal ID="litDBTriggers" runat="server" Text="<%$ Resources: _DBAdmin, ContentText_DBTriggers %>" /></h2>
            <table class="kartristable">
                <asp:Repeater ID="rptTriggers" runat="server">
                    <HeaderTemplate>
                        <thead>
                            <tr>
                                <th>
                                    <asp:Literal ID="litContentTextTableName" runat="server" Text="<%$ Resources: _DBAdmin, ContentText_TableName %>" />
                                </th>
                                <th>
                                    <asp:Literal ID="litContentTextTriggerName" runat="server" Text="<%$ Resources: _DBAdmin, ContentText_TriggerName %>" />
                                </th>
                                <th>
                                    <asp:Literal ID="litContentTextActive" runat="server" Text="<%$ Resources: _Kartris, ContentText_Active %>" />
                                </th>
                                <th class="selectfield">
                                </th>
                            </tr>
                        </thead>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr class="<%# If(Container.ItemIndex Mod 2 = 0, "", "Kartris-GridView-Alternate") %>">
                            <td class="itemname">
                                <asp:Literal ID="litTableName" runat="server" Text='<%# Eval("TableName") %>'></asp:Literal>
                            </td>
                            <td>
                                <asp:Literal ID="litTriggerName" runat="server" Text='<%# Eval("TriggerName") %>'></asp:Literal>
                            </td>
                            <td>
                                <asp:LinkButton ID="lnkDisable" runat="server" Text="-" CommandName="Disable" CssClass="triggerswitch triggerswitch_off"
                                    Visible="false" />
                                <asp:CheckBox ID="chkIsEnabled" runat="server" Checked='<%# Eval("IsTriggerEnabled") %>'
                                    Visible="false" />
                                <asp:Literal ID="litEnabled" runat="server" />
                            </td>
                            <td class="selectfield">
                                <asp:LinkButton ID="lnkEnable" runat="server" Text="+" CommandName="Enable" CssClass="triggerswitch triggerswitch_on"
                                    Visible="false" />
                            </td>
                        </tr>
                    </ItemTemplate>
                </asp:Repeater>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
</div>
<asp:UpdateProgress ID="prgTriggers" runat="server" AssociatedUpdatePanelID="updTriggers">
    <ProgressTemplate>
        <div class="loadingimage">
        </div>
        <div class="updateprogress">
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>
